# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['mdit_py_hugo']

package_data = \
{'': ['*']}

install_requires = \
['markdown-it-py>=3.0.0,<4.0.0', 'mdit-py-plugins>=0.4.0,<0.5.0']

setup_kwargs = {
    'name': 'mdit-py-hugo',
    'version': '0.3.1',
    'description': 'Collection of markdown-it-py plugins and extensions that add supports for Hugo syntaxes and functionalities',
    'long_description': '<!--\nSPDX-FileCopyrightText: 2023 Phu Hung Nguyen <phuhnguyen@outlook.com>\nSPDX-License-Identifier: CC-BY-SA-4.0\n-->\n\n# mdit-py-hugo\n\nCollection of markdown-it-py plugins and extensions that add supports for Hugo syntaxes and functionalities.\n\nCurrently compliant with Hugo 0.110.0.\n\n## Install\n\n```bash\npip install mdit-py-hugo\n```\n\n## Development\n\n- With Conda\n\n```bash\nconda env create -f environment.yml\nconda activate mph\npoetry install --no-root\n```',
    'author': 'Phu Hung Nguyen',
    'author_email': 'phuhnguyen@outlook.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/phunh/mdit-py-hugo',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
